> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get opening balance for an account on a specific date

> Returns the opening balance for a banking account on a given date

**Learn more:**

* What is a banking account? <a href="/unified-apis/banking/concepts/account" target="_blank">↗</a>
* What is a banking transaction? <a href="/unified-apis/banking/concepts/transaction" target="_blank">↗</a>


## OpenAPI

````yaml get /consumers/{consumer_id}/banking/opening-balance
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/banking/opening-balance:
    get:
      tags:
        - Banking
        - Banking accounts
      summary: Get opening balance for an account on a specific date
      description: Returns the opening balance for a banking account on a given date
      operationId: banking_get_opening_balance
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: account_id
          in: query
          required: true
          schema:
            type: string
            title: Account Id
        - name: date
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankingOpeningBalanceItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - banking
            - banking.read
            - banking.banking_accounts
            - banking.banking_accounts.read
            - '600'
            - 600.r
            - 600.banking_accounts
            - 600.banking_accounts.r
components:
  schemas:
    BankingOpeningBalanceItem:
      properties:
        account_id:
          type: string
          title: Account Id
          description: Identifier of the banking account
          examples:
            - account-123
        date:
          type: string
          format: date
          title: Date
          description: Date for which the opening balance is reported
          examples:
            - '2025-01-15'
        opening_balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Opening Balance
          description: Opening balance of the account on the given date
          examples:
            - 1000
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Currency of the balance
          examples:
            - EUR
      type: object
      required:
        - account_id
        - date
      title: BankingOpeningBalanceItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````